Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 696924 - www-client/chromium-78.0.3904.34 USE=system-libvpx - ../../third_party/webrtc/modules/video_coding/codecs/vp9/vp9_impl.cc:715:40: error: use of undeclared identifier 'CONSTRAINED_FROM_ABOVE_DROP'; did you mean 'CONSTRAINED_LAYER_DROP'?
Summary: www-client/chromium-78.0.3904.34 USE=system-libvpx - ../../third_party/webrtc...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Chromium Project
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2019-10-08 01:22 UTC by Peter Levine
Modified: 2019-11-02 12:50 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Levine 2019-10-08 01:22:01 UTC
Building www-client/chromium-78.0.3904.34  with USE=system-libvpx fails with

> ../../third_party/webrtc/modules/video_coding/codecs/vp9/vp9_impl.cc:715:40: error: use of undeclared identifier 'CONSTRAINED_FROM_ABOVE_DROP'; did you mean 'CONSTRAINED_LAYER_DROP'?
>       svc_drop_frame_.framedrop_mode = CONSTRAINED_FROM_ABOVE_DROP;
>                                        ^~~~~~~~~~~~~~~~~~~~~~~~~~~
>                                        CONSTRAINED_LAYER_DROP
> /usr/include/vpx/vp8cx.h:835:3: note: 'CONSTRAINED_LAYER_DROP' declared here
>   CONSTRAINED_LAYER_DROP,
>   ^
> 5 warnings and 1 error generated.
> ninja: build stopped: subcommand failed.

From https://webrtc.googlesource.com/src/+/1af0f908c83f0163f5ec1f2667e5ab5755d8f39f:
> VP9 screenshare: use CONSTRAINED_FROM_ABOVE_DROP mode
> 
> This mode was added by libvpx team specificaly for this usecase: if a
> layer is dropped, all lower layers have to be dropped also.

The commit corresponding to the necessary change in libvpx to fix this would be: https://github.com/webmproject/libvpx/commit/5a0242ba5c8fddbf32766bfa2ffbbd25f3cd6167

Reproducible: Always
Comment 1 Saul Peebsen 2019-11-01 12:45:18 UTC
Chromium rebuild was triggered by another package upgrade and all my computers are bitten by this bug. Older working ebuild has been removed from portage. Not happy.
Comment 2 Stephan Hartmann 2019-11-01 12:47:58 UTC
(In reply to Saul Peebsen from comment #1)
> Chromium rebuild was triggered by another package upgrade and all my
> computers are bitten by this bug. Older working ebuild has been removed from
> portage. Not happy.

There is not much that can be done here. Chromium bundles a version of libvpx that is not released yet. You can workaround this problem by emerging chromium without system-vpx (USE=-system-vpx).
Comment 3 Saul Peebsen 2019-11-02 12:50:30 UTC
At least for me this bug has been obsoleted by 78.0.3904.87.